LaunchDefinition (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junitlauncher.confined, interface: LaunchDefinition

Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

# Interface LaunchDefinition

    public interface LaunchDefinition

Defines the necessary context for launching the JUnit platform for running tests.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.ClassLoader` | `getClassLoader()` |
  `java.util.List<java.lang.String>` | `getExcludeTags()` |
  `java.util.List<java.lang.String>` | `getIncludeTags()` |
  `java.util.List<ListenerDefinition>` | `getListeners()` |
  `java.util.List<TestDefinition>` | `getTests()` |
  `boolean` | `isHaltOnFailure()` |
  `boolean` | `isPrintSummary()` |

- ## Method Details

  - ### getTests

    java.util.List<TestDefinition> getTests()
    Returns:
      Returns the `tests` that have to be launched

  - ### getListeners

    java.util.List<ListenerDefinition> getListeners()
    Returns:
      Returns the default `listeners` that will be used for the tests, if the `tests` themselves don't specify any

  - ### isPrintSummary

    boolean isPrintSummary()
    Returns:
      Returns true if a summary needs to be printed out after the execution of the tests. False otherwise.

  - ### isHaltOnFailure

    boolean isHaltOnFailure()
    Returns:
      Returns true if any remaining tests launch need to be stopped if any test execution failed. False otherwise.

  - ### getClassLoader

    java.lang.ClassLoader getClassLoader()
    Returns:
      Returns the `ClassLoader` that has to be used for launching and execution of the tests

  - ### getIncludeTags

    java.util.List<java.lang.String> getIncludeTags()
    Returns:
      Returns the list of tags which will be used to evaluate tests that need to be included in the test execution

  - ### getExcludeTags

    java.util.List<java.lang.String> getExcludeTags()
    Returns:
      Returns the list of tags which will be used to evaluate tests that need to be excluded from the test execution